# Loki::LongevityLifetime::SingletonFixedLongevity< Longevity, T > Struct Template Reference
[LongevityLifetime]

`#include <Singleton.h>`

Inheritance diagram for Loki::LongevityLifetime::SingletonFixedLongevity< Longevity, T >:
[legend]

List of all members.

## Detailed Description

### template<unsigned int Longevity, class T>
struct Loki::LongevityLifetime::SingletonFixedLongevity< Longevity, T >

Add your own lifetimes into the namespace 'LongevityLifetime' with your prefered lifetime by adding a struct like this:

template<class T> struct MyLifetime : SingletonFixedLongevity< MyLifetimeNumber ,T> {}

The documentation for this struct was generated from the following file:

- Singleton.h